<?php
/**
 * BizVektor Front-Page.php
 *
 * @package BizVektor
 * @version 1.6.0
 */

 get_header();
  ?>
<!-- [ #container ] -->
<div id="container" class="innerBox">
	<!-- [ #content ] -->
	<div id="content" class="content">
	<?php biz_vektor_contentMain_before();?>

<?php if ( is_active_sidebar('topimg-widget-area') ) : ?>
  <?php dynamic_sidebar('topimg-widget-area'); ?>
<?php endif; ?>
    
	<div id="content-main">

<?php if ( is_active_sidebar('topbnr-widget-area') ) : ?>
  <?php dynamic_sidebar('topbnr-widget-area'); ?>
<?php endif; ?>
		
	<?php // get_template_part('module_topPR'); ?>
	<?php if ( function_exists( 'biz_vektor_topSpecial' ) ): biz_vektor_topSpecial(); endif; ?>
	<?php //get_template_part('module_top_list_info'); ?>
	<?php get_template_part('module_top_list_post'); ?>

<?php
if ( !apply_filters('biz_vektor_extra_main_content', false) ):

	// page content
	if ( have_posts()) : the_post();
		if (get_post_type() === 'page') :
			$topFreeContent = NULL;
			$topFreeContent = get_the_content();
			if ($topFreeContent) : ?>
				<div id="topFreeArea">
					<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . 'Pages:', 'after' => '</div>' ) ); ?>
				</div>
			<?php endif; // $topFreeContent ?>
		<?php endif; // get_post_type() === 'page' ?>

	<?php endif; // have_posts() ?>

<?php endif; ?>

<?php do_action( 'biz_vektor_fbLikeBoxDisplay'); ?>
<?php do_action( 'biz_vektor_snsBtns' ); ?>
<?php do_action( 'biz_vektor_fbComments'); ?>

	</div>
	<!-- #content-main -->
	<?php biz_vektor_contentMain_after();?>
	</div>
	<!-- [ /#content ] -->

<?php $option = biz_vektor_get_theme_options(); if( !$option['topSideBarDisplay'] ): ?>
	<!-- [ #sideTower ] -->
	<div id="sideTower" class="sideTower">
<?php
if ( is_active_sidebar( 'common-side-top-widget-area' ) ) dynamic_sidebar( 'common-side-top-widget-area' );
if ( is_active_sidebar( 'top-side-widget-area' ) ) :
	dynamic_sidebar( 'top-side-widget-area' );
else :
	// ウィジェットに設定がない場合
	if (function_exists('biz_vektor_contactBtn')) biz_vektor_contactBtn();
	if (function_exists('biz_vektor_snsBnrs')) biz_vektor_snsBnrs();
endif;
if ( is_active_sidebar( 'common-side-bottom-widget-area' ) ) dynamic_sidebar( 'common-side-bottom-widget-area' );
?>
	</div>
	<!-- [ /#sideTower ] -->
	<?php biz_vektor_sideTower_after();?>
<?php endif; ?>
</div>
<!-- [ /#container ] -->

<?php get_footer(); ?>