<?php get_header(); ?>

<!-- [ #container ] -->
<div id="container" class="innerBox">
<!-- [ #content ] -->
<div id="content" class="content wide">

	<div class="error404">
		<form role="search" method="get" id="searchform" class="searchform" action="<?php echo esc_url(home_url('/')); ?>">
				<div>
					<input type="submit" id="searchsubmit" value="Search" />
					<label class="screen-reader-text" for="s">検索:</label>
					<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" />
				</div>
		</form>
	</div>

	<?php if ( have_posts() ) : ?>
	<ul class="linkList">
		<?php while ( have_posts() ) : the_post(); ?>
		<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
		<?php endwhile; ?>
	</ul>
	<?php biz_vektor_content_nav( 'nav-below' ); ?>
	<?php else : ?>
		<p><?php _e('Sorry, but nothing matched your search terms. Please try again with different keywords.', 'bizvektor-global-edition'); ?></p>
	<?php endif; ?>

	<script type="text/javascript">
		// focus on search field after it has loaded
		document.getElementById('s') && document.getElementById('s').focus();
	</script>

</div>
<!-- [ /#content ] -->
</div>
<!-- [ /#container ] -->
<?php get_footer(); ?>